Subject: Re: linux-next: build failure after merge of the mm tree

From: Kaiyang Zhao <[email-masked]>
Date: Mon, 12 Aug 2024 22:14:10 +0000

On Mon, Aug 12, 2024 at 09:30:16AM +1000, Stephen Rothwell wrote:
> Hi all,
>
> After merging the mm tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
>
> mm/memory.c: In function 'numa_migrate_check':
> mm/memory.c:5403:41: error: 'NUMA_HINT_FAULTS' undeclared (first use in this function)
>  5403 |         count_memcg_folio_events(folio, NUMA_HINT_FAULTS, 1);
>       |                                         ^~~~~~~~~~~~~~~~
> mm/memory.c:5403:41: note: each undeclared identifier is reported only once for each function it appears in
>
> Caused by commit
>
>   75747a26eec1 ("mm,memcg: provide per-cgroup counters for NUMA balancing operations")
>
> from the mm-unstable branch of the mm tree.
>
> CONFIG_NUMA_BALANCING is not set for this build.  I note that the
> preexisting calls to count_vm_numa_event() compile because it is
> implemented as a macro ...
>
> Not the best fix, but I applied the patch below.

Sorry about it. I should have tested with more configs. I'll send a v2
with a fix for this compilation error and the other compilation warning
about the documentation (and remember to run make htmldocs in the future).

Bear with me, from a newbie trying to learn...

Best,
Kaiyang Zhao